## ros-indigo-squirrel-kclhand-msgs 0.0.24

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(squirrel_kclhand_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS message_generation actionlib_msgs actionlib std_msgs)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  Joint.msg
  Joints.msg
)

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
add_action_files(
  DIRECTORY
    action
  FILES
    SetJointTarget.action
    SetMaxJointVelocity.action
    TrackNewSetpoints.action
    
    
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
  actionlib_msgs  # Or other packages containing msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES kcl_mhand_msgs
  CATKIN_DEPENDS 
	message_runtime 
	std_msgs
	actionlib_msgs 
	#other_catkin_pkg
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)

## Declare a cpp library
# add_library(kcl_mhand_msgs
#   src/${PROJECT_NAME}/kcl_mhand_msgs.cpp
# )

## Declare a cpp executable
# add_executable(kcl_mhand_msgs_node src/kcl_mhand_msgs_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(kcl_mhand_msgs_node kcl_mhand_msgs_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(kcl_mhand_msgs_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS kcl_mhand_msgs kcl_mhand_msgs_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_kcl_mhand_msgs.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-squirrel-kclhand-msgs (0.0.24-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Sun, 19 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.23-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Sun, 12 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.22-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Tue, 27 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.21-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Wed, 14 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.20-0trusty) trusty; urgency=high

  * Merge pull request #122 <https://github.com/squirrel-project/squirrel_common/issues/122> from ipa-nhg/Restruc
    package restructuration and clean up
  * package restructuration
  * Contributors: ipa-nhg, ipa-rmb

 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Tue, 06 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.19-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.18-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Mon, 09 May 2016 22:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.17-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Wed, 13 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.16-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Sun, 10 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.15-0trusty) trusty; urgency=high

  * manual merge resolution
  * 0.0.4
  * update
  * 0.0.3
  * updated version
  * add CHANGELOG.rst
  * Contributors: Philipp Zech, buildbot-squirrel

 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Sat, 09 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.14-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Tue, 05 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.13-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Tue, 01 Mar 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.12-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Tue, 23 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.11-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.10-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.9-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Tue, 16 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.8-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Wed, 03 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.7-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Mon, 01 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.6-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Sun, 31 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.4-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.3-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.2-0trusty) trusty; urgency=high



 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-kclhand-msgs (0.0.1-0trusty) trusty; urgency=high

  * Delete SetMaxJointVelocity.action~
  * Delete Joints.msg~
  * Delete package.xml~
  * Delete CMakeLists.txt~
  * add squirrel_kclhand_msgs for the robotic hand
  * Contributors: Jie Sun

 -- Evangelos Emmanouil <jie.sun@kcl.ac.uk>  Tue, 15 Dec 2015 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-squirrel-kclhand-msgs
Section: misc
Priority: extra
Maintainer: Evangelos Emmanouil <jie.sun@kcl.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-squirrel-kclhand-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs
Description: The kcl_mhand_msgs package provides message definitions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-squirrel-kclhand-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
